<?xml version="1.0" encoding="UTF-8"?>
<xs:schema xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:class="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_AssociatedProcessorMemory" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" elementFormDefault="qualified" targetNamespace="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_AssociatedProcessorMemory">
<xs:import namespace="http://schemas.dmtf.org/wbem/wscim/1/common" schemaLocation="http://schemas.dmtf.org/wbem/wscim/1/common.xsd"/>
<xs:element name="Dependent" type="cim:cimReference">
<xs:annotation>
<xs:appinfo source="http://schemas.dmtf.org/wbem/wscim/1/common">
<cim:Qualifier name="Override" type="cim:cimString">Dependent</cim:Qualifier>
<cim:Qualifier name="Description" type="cim:cimString">The Processor that accesses the Memory or uses the Cache.</cim:Qualifier>
<cim:Qualifier name="Key" type="cim:cimBoolean">true</cim:Qualifier>
<cim:Classorigin name="CIM_AssociatedProcessorMemory"/>
</xs:appinfo>
</xs:annotation>
</xs:element>
<xs:element name="BusSpeed" nillable="true" type="cim:cimUnsignedInt">
<xs:annotation>
<xs:appinfo source="http://schemas.dmtf.org/wbem/wscim/1/common">
<cim:Qualifier name="Description" type="cim:cimString">Speed of the bus, in MHertz, between the Processor and Memory.</cim:Qualifier>
<cim:Qualifier name="Units" type="cim:cimString">MegaHertz</cim:Qualifier>
<cim:Qualifier name="PUnit" type="cim:cimString">hertz * 10^6</cim:Qualifier>
<cim:Classorigin name="CIM_AssociatedProcessorMemory"/>
</xs:appinfo>
</xs:annotation>
</xs:element>
<xs:element name="Antecedent" type="cim:cimReference">
<xs:annotation>
<xs:appinfo source="http://schemas.dmtf.org/wbem/wscim/1/common">
<cim:Qualifier name="Override" type="cim:cimString">Antecedent</cim:Qualifier>
<cim:Qualifier name="Description" type="cim:cimString">Memory installed on or associated with a Device.</cim:Qualifier>
<cim:Qualifier name="Key" type="cim:cimBoolean">true</cim:Qualifier>
<cim:Classorigin name="CIM_AssociatedMemory"/>
</xs:appinfo>
</xs:annotation>
</xs:element>
<xs:element name="CIM_AssociatedProcessorMemory" type="class:CIM_AssociatedProcessorMemory_Type">
<xs:annotation>
<xs:appinfo source="http://schemas.dmtf.org/wbem/wscim/1/common">
<cim:Class name="CIM_AssociatedProcessorMemory" superclass="CIM_AssociatedMemory"/>
<cim:Qualifier name="Association" type="cim:cimBoolean">true</cim:Qualifier>
<cim:Qualifier name="Version" type="cim:cimString">2.6.0</cim:Qualifier>
<cim:Qualifier name="UMLPackagePath" type="cim:cimString">CIM::Device::Memory</cim:Qualifier>
<cim:Qualifier name="Description" type="cim:cimString">Associates the Processor and system Memory, or a Processor's Cache.</cim:Qualifier>
</xs:appinfo>
</xs:annotation>
</xs:element>
<xs:complexType name="CIM_AssociatedProcessorMemory_Type">
<xs:sequence>
<xs:element ref="class:Antecedent"/>
<xs:element minOccurs="0" ref="class:BusSpeed"/>
<xs:element ref="class:Dependent"/>
<xs:any maxOccurs="unbounded" minOccurs="0" namespace="##other" processContents="lax"/>
</xs:sequence>
<xs:anyAttribute namespace="##any" processContents="lax"/>
</xs:complexType>
</xs:schema>
